4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.InstallL10n

Classes: InstallL10n

## Classes

class InstallL10n(distutils.cmd.Command)

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class Command
  get_inputs(self)
  get_inputs_outputs(self)
  get_outputs(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['force', 'skip-build']
  command_name = 'install_l10n'
  description = 'install binary message catalogs'
  user_options = [('force', 'f', 'force installation (overwrite existing files)'), ('skip-build', None, 'skip the build steps')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands